////////////////////////////////////////////////////////////////////////////////
// Called once when the dialog displays.
function dmtConfirmLoad()
{
  // Get arguments passed to us by the caller into nice named variables.
  var filePath   = window.arguments[0];
  var showCancel = window.arguments[1];
  var selected   = window.arguments[2];

  // Configure contents of window as caller desires.
  document.getElementById("dmtConfirmRadio").selectedIndex = selected.radio;
  document.getElementById("dmtConfirmFilename").value = filePath;
  if (showCancel)
  {
    document.documentElement.getButton("extra2").hidden = false;
    document.documentElement.getButton("cancel").hidden = false;
  }
  else
  {
    document.documentElement.getButton("extra2").hidden = true;
    document.documentElement.getButton("cancel").hidden = true;
  }

  // Place the window in a central location.
  moveToAlertPosition();
}

////////////////////////////////////////////////////////////////////////////////
// "Yes to All" button pressed (extra2). This doesn't close by itself.
function dmtConfirmDoAll()
{
  var selected = window.arguments[2];

  selected.radio  = document.getElementById("dmtConfirmRadio").selectedIndex;
  selected.button = 0;
  window.close();
  return true;
}

////////////////////////////////////////////////////////////////////////////////
// "Yes" button pressed (accept).
function dmtConfirmDoYes()
{
  var selected = window.arguments[2];

  selected.radio  = document.getElementById("dmtConfirmRadio").selectedIndex;
  selected.button = 1;
  return true;
}

////////////////////////////////////////////////////////////////////////////////
// "No" button pressed (extra1). This doesn't close by itself.
function dmtConfirmDoNo()
{
  var selected = window.arguments[2];

  selected.radio  = document.getElementById("dmtConfirmRadio").selectedIndex;
  selected.button = 2;
  window.close();
  return true;
}

////////////////////////////////////////////////////////////////////////////////
// "Cancel" button pressed (cancel).
function dmtConfirmDoCancel()
{
  var selected = window.arguments[2];

  selected.radio  = document.getElementById("dmtConfirmRadio").selectedIndex;
  selected.button = 3;
  return true;
}
